import SettingController from "./SettingController";
export default class SlidingSyncController extends SettingController {
    static serverSupportsSlidingSync: boolean;
    onChange(): Promise<void>;
    get settingDisabled(): boolean | string;
}
